# Response Model

## Draw Object

| Filed Name      | Type           | Description                                                                                                                                                                          |
| --------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| competitionId   | string         | Unique identifier for this competition                                                                                                                                               |
| participantType | string         | Identifies the competition type e.g MD - Mens Doubles, LS - Ladies singles. There will be a draw object for each singles competition in the tournament and each doubles competition. |
| drawSize        | int            | Number of positions in the draw                                                                                                                                                      |
| entrySize       | int            | Number of teams in the draw (if not equal to drawSize then some teams will be given byes)                                                                                            |
| matches         | array\[object] | Array of Match objects describing the matches that are to be played                                                                                                                  |

## Match Object

| Field Name    | Type      | Description                                                                                                                                                                             |
| ------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventId       | string    | Unique identifier for this match within the competition - to match this with the eventID returned in the /\[id]/events end point you just need to concatenate it with the competitionID |
| round         | int       | (Knockout tournament only) Which round of the draw this match is in. The rounds work backwards, with 1 being the final, 2 being the semi finals, 3 the quarters etc                     |
| teamA         | object    | A team status object describing the first team taking part (if known)                                                                                                                   |
| teamB         | object    | A team status object describing the second team taking part (if known)                                                                                                                  |
| estimatedDate | date      | Indicates the date when the match is likely to be played                                                                                                                                |
| estimatedTime | timestamp | Please be advised that this is merely a placeholder until the official Order of Play has been released and will be defaulted to 10am local time                                         |

## Team Status Object

| Field Name | Type   | Description                                                                                                                                                                               |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string | Indicates if the player detail is known for this team. Values are KnownTableTennisTeam, UnknownTableTennisTeam or Bye. For UnknownTableTennisTeam or Bye, no other fields will be present |
| team       | object | A table tennis Team Object                                                                                                                                                                |

## Team Object

| Field Name | Type   | Description                                                                                        |
| ---------- | ------ | -------------------------------------------------------------------------------------------------- |
| Player1    | object | Player object containing details for the first player in the team                                  |
| Player2    | object | Player object containing details for the second player in the team. Only present if a doubles team |
| seed       | int    | This team’s seeding for the competition                                                            |
| entryType  | string | This team’s entry type for the competition. Possible values are: Qualifier or Standard             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/untitled/response-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
